## EXPORT_SPEC int UpnpUnRegisterClient

## ( IN UpnpClient_Handle Hnd )

> UpnpUnRegisterClient unregisters a control point application, unsubscribing all active subscriptions.

## Documentation

> UpnpUnRegisterClient unregisters a control point application, unsubscribing all active subscriptions. After this call, the UpnpClient_Handle is no longer valid.

> UpnpUnRegisterClient is a synchronous call and generates no callbacks. The SDK generates no more callbacks after this function returns.

Parameters:
  Hnd - The handle of the control point instance to unregister.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.

Alphabetic index

This page was generated with the help of DOC++.